<!-- Create popup -->
function lightbox_open(id, timeout, txt){
    window.scrollTo(0,0);
	if (typeof txt != 'undefined') {
		$('#popup_'+id).html('<div>'+txt+'</div>'); }
	$('#popup_'+id).fadeIn('fast');
    $('#fade').fadeIn('fast');
	return setTimeout(function() {
            lightbox_close(id);
        }, timeout);
}
<!-- Close popup -->
function lightbox_close(id){
	$('#popup_'+id).fadeOut('fast');
	$('#fade').fadeOut('fast');
}

var mySwipe = Swipe(document.getElementById('slider'));
mySwipe.setup();

function RefreshData()
{
	clearInterval($.refreshTimer);
	var jurl=$.domoticzurl+"/json.htm?type=devices&plan="+$.roomplan+"&jsoncallback=?";
	$.getJSON(jurl,
	{
		format: "json"
	},
	function(data) {
		if (typeof data.result != 'undefined') {
			
			$.each(data.result, function(i,item){
				for( var ii = 0, len = $.PageArray.length; ii < len; ii++ ) {
					if( $.PageArray[ii][0] === item.idx ) {		// Domoticz idx number
						var vtype=	$.PageArray[ii][1]; 		// Domotitcz type (like Temp, Humidity)
						var vlabel=	$.PageArray[ii][2];			// cell number from HTML layout
						var vdesc=	$.PageArray[ii][3];			// description 
						var vattr=	$.PageArray[ii][4];			// extra css attributes
						var valarm=	$.PageArray[ii][5]; 		// alarm value to turn text to red
						var vdata=	item[vtype];				// current value
						if (typeof vdata == 'undefined') {
							vdata="??";
						} else {
							// remove too much text
							vdata=new String(vdata).split("Watt",1)[0];
							vdata=new String(vdata).split("kWh",1)[0];
							vdata=new String(vdata).split("m3",1)[0];
							vdata=new String(vdata).split(" Level:",1)[0];
							vdata=new String(vdata).replace("Set","On");
							vdata=new String(vdata).replace("true","protected");
							
							//If IDX matches (RAM usage) or (CPU usage), then strip off the '%' and round the numbers
							if(item.idx == idx_ram_usage || item.idx == idx_cpu_usage){
							vdata=new String(vdata).split("%",1)[0];
							vdata=Math.round(vdata);
							}	
						}
						
						//If IDX matches (Electricity today) or '49' (Gas today), then round the numbers with 1 decimal
						if(item.idx == idx_electricity_today || item.idx == idx_gas_today){
							vdata=new String(vdata).split("kWh",1)[0];
							vdata=new String(vdata).split("m3",1)[0];
							vdata=Math.round(vdata * 10) / 10;
						}
						
						//If IDX matches (Water) covert m3 to liters
						if(item.idx == idx_water_meter){
							vdata=new String(vdata).split("m3",1)[0];
							vdata=Math.round(vdata * 1000);
						}
						
						//If IDX matches (Doorbel) open camera PopUp
						if(item.idx == idx_doorbell && vdata == doorbell_status){
							lightbox_open(camera, camera_doorbell_timeout); 
						}
						
						// create switchable value when item is switch
						switchclick='';
						if (vdata == 'Off' ) {
							switchclick = 'onclick="SwitchToggle('+item.idx+', \'On\');lightbox_open(\'switch\', '+switch_on_timeout+', '+txt_switch_on+')"';
						}
						if (vdata == 'On' ) {
							switchclick = 'onclick="SwitchToggle('+item.idx+', \'Off\');lightbox_open(\'switch\', '+switch_off_timeout+', '+txt_switch_off+')"';
						}
												
						// if alarm threshold is defined, make value red 
						//alarmcss='';
						//if (typeof valarm != 'undefined') {
						//	if ( eval(vdata + valarm)) {  // note orig:  vdata > alarm
						//		alarmcss=';color:red;';
						//	}
						//}
						// if switch is on, make green, if off, make red. Apply background when switch is not protected.
						alarmcss='';
								if (item.Protected == true) {
									if (vdata == 'On') {
										alarmcss=';color:#1B9772;';
										vdata = txt_on;
									}
									if (vdata == 'Off') {
										alarmcss=';color:#E24E2A;';
										vdata = txt_on;
									}
								} else {
								if (vdata == 'On') {
									alarmcss=';color:#1B9772;background-color:#171717;';
									vdata = txt_on;
									}
								if (vdata == 'Off') {
									alarmcss=';color:#E24E2A;;background-color:#171717;';
									vdata = txt_off;
									}
							}
							
						// if extra css attributes. Make switch not switchable when it is protected.
						if (typeof vattr == 'undefined') {
							if (item.Protected == true) {
									$('#'+vlabel).html('<div onClick="lightbox_open(\'protected\', '+switch_protected_timeout+', '+txt_switch_protected+');" style='+alarmcss+'>'+vdata+'</div>');
							} else { 
									$('#'+vlabel).html('<div '+switchclick+' style='+alarmcss+'>'+vdata+'</div>');
							}
						} 
						if (item.Protected == true) {
							$('#'+vlabel).html( '<div onClick="lightbox_open(\'protected\', '+switch_protected_timeout+ ', '+txt_switch_protected+');" style='+vattr+alarmcss+'>'+vdata+'</div>');
						} else {
							$('#'+vlabel).html( '<div '+switchclick+' style='+vattr+alarmcss+'>'+vdata+'</div>');
						}
						
						$('#desc_'+vlabel).html(vdesc);
					}
				}
			});
		}
	});
	$.refreshTimer = setInterval(RefreshData, 2000);
}